"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateProxyURL = void 0;
const path = require("path");
const url_1 = require("url");
const getLogger_1 = require("../logging/getLogger");
const logger = getLogger_1.getLogger(path.basename(__filename));
function generateProxyURL(authInfo, options) {
    let protocol = options.protocol;
    const { username, password } = options;
    if (!protocol) {
        logger.log('Defaulting to HTTP proxy');
        protocol = 'http';
    }
    const proxySettings = new url_1.URL(`${protocol}://${authInfo.host}`);
    if (authInfo.port) {
        proxySettings.port = authInfo.port.toString();
        logger.log(`Port set to "${authInfo.port}".`);
    }
    logger.log(`Proxy URL: (credentials hidden) ${proxySettings.toString()}`);
    if (username) {
        proxySettings.username = username;
        logger.log('Username set');
    }
    if (password) {
        proxySettings.password = password;
        logger.log('Password set');
    }
    return proxySettings;
}
exports.generateProxyURL = generateProxyURL;
//# sourceMappingURL=ProxyAuth.js.map