"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFile = exports.zipFiles = void 0;
const JSZip = require("jszip");
const path = require("path");
const getLogger_1 = require("../logging/getLogger");
const logger = getLogger_1.getLogger(path.basename(__filename));
exports.zipFiles = (files) => __awaiter(void 0, void 0, void 0, function* () {
    const zip = new JSZip();
    try {
        for (const filename in files) {
            zip.file(filename, files[filename], { binary: true });
        }
    }
    catch (error) {
        logger.error(error);
    }
    return zip;
});
exports.createFile = (zip) => {
    return zip.generateAsync({ compression: 'DEFLATE', type: 'uint8array' });
};
//# sourceMappingURL=zip.js.map