"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLogger = exports.ENABLE_LOGGING = exports.LOGGER_NAMESPACE = void 0;
const commons_1 = require("@wireapp/commons");
const electron_1 = require("electron");
const path = require("path");
const config_1 = require("../settings/config");
const mainProcess = electron_1.remote ? electron_1.remote.process : process;
const logDir = path.join((electron_1.remote ? electron_1.remote.app : electron_1.app).getPath('userData'), 'logs');
const logFile = path.join(logDir, 'electron.log');
const isDevelopment = config_1.config.environment !== 'production';
const forceLogging = mainProcess.argv.includes('--enable-logging');
exports.LOGGER_NAMESPACE = '@wireapp/desktop';
exports.ENABLE_LOGGING = isDevelopment || forceLogging;
function getLogger(name) {
    const options = {
        logFilePath: logFile,
        namespace: exports.LOGGER_NAMESPACE,
        separator: '/',
    };
    if (exports.ENABLE_LOGGING) {
        options.forceEnable = true;
    }
    return commons_1.LogFactory.getLogger(name, options);
}
exports.getLogger = getLogger;
//# sourceMappingURL=getLogger.js.map