"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.gatherLogs = exports.getLogFilenames = exports.logDir = void 0;
const electron_1 = require("electron");
const fs = require("fs-extra");
const globby = require("globby");
const path = require("path");
const getLogger_1 = require("../logging/getLogger");
const logger = getLogger_1.getLogger(path.basename(__filename));
exports.logDir = path.join(electron_1.app.getPath('userData'), 'logs');
function getLogFilenames(base = exports.logDir, absolute = false) {
    return globby.sync('**/*.{log,old}', { absolute, cwd: base, followSymbolicLinks: false, onlyFiles: true });
}
exports.getLogFilenames = getLogFilenames;
function gatherLogs() {
    return __awaiter(this, void 0, void 0, function* () {
        const logFiles = {};
        const relativeFilePaths = getLogFilenames();
        for (const relativeFilePath of relativeFilePaths) {
            const resolvedPath = path.join(exports.logDir, relativeFilePath);
            try {
                const fileContent = yield fs.readFile(resolvedPath);
                logFiles[relativeFilePath] = fileContent;
            }
            catch (error) {
                logger.error(error);
            }
        }
        return logFiles;
    });
}
exports.gatherLogs = gatherLogs;
//# sourceMappingURL=loggerUtils.js.map