import { BrowserWindow, BrowserWindowConstructorOptions, Event as ElectronEvent } from 'electron';
export declare class SingleSignOn {
    private static readonly ALLOWED_BACKEND_ORIGINS;
    private static readonly PRELOAD_SSO_JS;
    private static readonly SINGLE_SIGN_ON_FRAME_NAME;
    private static readonly SSO_PROTOCOL;
    private static readonly SSO_PROTOCOL_HOST;
    private static readonly SSO_PROTOCOL_RESPONSE_SIZE_LIMIT;
    private static readonly SSO_SESSION_NAME;
    private static readonly MAX_LENGTH_ORIGIN_DOMAIN;
    private static readonly MAX_LENGTH_ORIGIN;
    private static readonly logger;
    private static readonly RESPONSE_TYPES;
    static loginAuthorizationSecret: string | undefined;
    private session;
    private ssoWindow;
    private readonly mainBrowserWindow;
    private readonly mainSession;
    private readonly senderEvent;
    private readonly senderWebContents;
    private readonly windowOptions;
    private readonly windowOriginUrl;
    constructor(mainBrowserWindow: BrowserWindow, senderEvent: ElectronEvent, windowOriginURL: string, windowOptions: BrowserWindowConstructorOptions);
    readonly init: () => Promise<void>;
    private createBrowserWindow;
    static isSingleSignOnLoginWindow: (frameName: string) => boolean;
    static getWindowTitle: (origin: string) => string;
    static readonly getWindowOpenerScript: () => string;
    private static copyCookies;
    private static generateSecret;
    private static registerProtocol;
    private static unregisterProtocol;
    private readonly finalizeLogin;
    private dispatchResponse;
    private wipeSessionData;
}
