"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonLink = exports.buttonLinkStyle = void 0;

var _core = require("@emotion/core");

var _Misc = require("../Misc");

var _Identity = require("../Identity");

var _util = require("../util");

var _Text = require("../Text");

var _Button = require("./Button");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var buttonLinkStyle = function buttonLinkStyle(theme, props) {
  return _objectSpread(_objectSpread({}, (0, _Button.buttonStyle)(theme, props)), {}, {
    display: 'inline-flex !important'
  });
};

exports.buttonLinkStyle = buttonLinkStyle;

var filterButtonLinkProps = function filterButtonLinkProps(props) {
  return (0, _util.filterProps)((0, _Text.filterTextProps)(props), ['backgroundColor', 'disabled', 'noCapital']);
};

var ButtonLink = function ButtonLink(_ref) {
  var children = _ref.children,
      showLoading = _ref.showLoading,
      _ref$loadingColor = _ref.loadingColor,
      loadingColor = _ref$loadingColor === void 0 ? _Identity.COLOR.WHITE : _ref$loadingColor,
      props = _objectWithoutProperties(_ref, ["children", "showLoading", "loadingColor"]);

  return (0, _core.jsx)("a", _extends({
    css: function css(theme) {
      return buttonLinkStyle(theme, props);
    }
  }, filterButtonLinkProps(props)), showLoading ? (0, _core.jsx)(_Misc.Loading, {
    size: 30,
    color: loadingColor,
    style: {
      display: 'flex',
      margin: 'auto'
    }
  }) : children);
};

exports.ButtonLink = ButtonLink;
//# sourceMappingURL=ButtonLink.js.map