"use strict";

var _react = _interopRequireDefault(require("react"));

var _testUtil = require("../test/testUtil");

var _TextArea = require("./TextArea");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/*
 * Wire
 * Copyright (C) 2019 Wire Swiss GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
 *
 */
describe('"TextArea"', function () {
  it('renders', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_TextArea.TextArea, null, "TextArea"));
  });
  it('renders as invalid', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_TextArea.TextArea, {
      markInvalid: true
    }, "TextArea"));
  });
  it('renders as disabled', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_TextArea.TextArea, {
      disabled: true
    }, "TextArea"));
  });
  it('renders with placeholderTextTransform', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_TextArea.TextArea, {
      placeholderTextTransform: "uppercase",
      placeholder: "TextArea"
    }, "TextArea"));
  });
});
//# sourceMappingURL=TextArea.test.js.map