"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultTransition = exports.ANIMATION = exports.EASE = exports.DURATION = void 0;

var _core = require("@emotion/core");

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n    0% {\n      transform: translateY(-20%);\n    }\n    100% {\n      transform: translateY(0);\n    }\n  "]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n    0% {\n      transform: translateY(-100%);\n    }\n    100% {\n      transform: translateY(0);\n    }\n  "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n    0% {\n      transform: rotate(0);\n    }\n    100% {\n      transform: rotate(360deg);\n    }\n  "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    0% {\n      opacity: 0;\n    }\n    100% {\n      opacity: 1;\n    }\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    0% {\n      transform: translateY(100%);\n    }\n    100% {\n      transform: translateY(0);\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// https://motion.wire.com/_guidelines_/rules.html

/**
 * Duration exception - When a motion longer than 0.7 seconds is needed use a multiplier of 700.
 */
var DURATION = {
  DEFAULT: 550,
  EXTRA_LONG: 2400,
  PROACTIVE_FAST: 150,
  PROACTIVE_SLOW: 350,
  SYSTEM: 700
};
/**
 * The rule of thumb is using Quart Out when animating only the object's opacity,
 * otherwise use Expo Out ease.
 */

exports.DURATION = DURATION;
var EASE = {
  EXPONENTIAL: 'cubic-bezier(0.19, 1, 0.22, 1)',
  QUART: 'cubic-bezier(0.165, 0.84, 0.44, 1)'
};
exports.EASE = EASE;
var ANIMATION = {
  bottomUpMovement: (0, _core.keyframes)(_templateObject()),
  fadeIn: (0, _core.keyframes)(_templateObject2()),
  rotate: (0, _core.keyframes)(_templateObject3()),
  topDownMovement: (0, _core.keyframes)(_templateObject4()),
  topDownMovementLight: (0, _core.keyframes)(_templateObject5())
};
exports.ANIMATION = ANIMATION;
var defaultTransition = 'all 0.24s';
exports.defaultTransition = defaultTransition;
//# sourceMappingURL=motions.js.map