"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HeaderMenu = void 0;

var _core = require("@emotion/core");

var _react = require("react");

var _MenuContent = require("./MenuContent");

var _MenuItems = require("./MenuItems");

var _MenuOpenButton = require("./MenuOpenButton");

var _MenuScrollableItems = require("./MenuScrollableItems");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(n); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var HeaderMenu = function HeaderMenu(_ref) {
  var children = _ref.children,
      _ref$logoElement = _ref.logoElement,
      logoElement = _ref$logoElement === void 0 ? null : _ref$logoElement,
      _ref$centerElement = _ref.centerElement,
      centerElement = _ref$centerElement === void 0 ? null : _ref$centerElement,
      props = _objectWithoutProperties(_ref, ["children", "logoElement", "centerElement"]);

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      isOpen = _useState2[0],
      setIsOpen = _useState2[1];

  var toggleMenu = function toggleMenu() {
    if (typeof window !== 'undefined') {
      window.scrollTo(0, 0);
      setIsOpen(function (current) {
        return !current;
      });
    }
  };

  var closeMenu = function closeMenu() {
    return setIsOpen(false);
  };

  return (0, _core.jsx)("div", _extends({
    style: {
      height: '64px'
    }
  }, props, {
    "data-uie-name": "element-header-menu"
  }), (0, _core.jsx)(_MenuContent.MenuContent, {
    open: isOpen
  }, (0, _core.jsx)("div", {
    style: {
      alignSelf: 'center',
      display: 'flex',
      zIndex: 2
    },
    onClick: closeMenu
  }, logoElement), (0, _core.jsx)("div", {
    style: {
      alignSelf: 'center',
      display: 'flex'
    }
  }, centerElement), (0, _core.jsx)(_MenuOpenButton.MenuOpenButton, {
    onClick: toggleMenu,
    open: isOpen,
    style: {
      justifySelf: 'end',
      position: isOpen ? 'fixed' : undefined,
      right: '16px',
      top: '21px'
    },
    "data-uie-name": "do-toggle-header-menu"
  }), (0, _core.jsx)(_MenuItems.MenuItems, {
    onClick: closeMenu,
    open: isOpen
  }, (0, _core.jsx)(_MenuScrollableItems.MenuScrollableItems, null, children))));
};

exports.HeaderMenu = HeaderMenu;
//# sourceMappingURL=HeaderMenu.js.map