"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pagination = void 0;

var _core = require("@emotion/core");

var _Identity = require("../Identity");

var _Layout = require("../Layout");

var _Text = require("../Text");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Pagination = function Pagination(_ref) {
  var _ref$currentPage = _ref.currentPage,
      currentPage = _ref$currentPage === void 0 ? 0 : _ref$currentPage,
      _ref$numberOfPages = _ref.numberOfPages,
      numberOfPages = _ref$numberOfPages === void 0 ? 1 : _ref$numberOfPages,
      goPage = _ref.goPage,
      _ref$previousPageComp = _ref.previousPageComponent,
      PreviousPageComponent = _ref$previousPageComp === void 0 ? function () {
    return '<';
  } : _ref$previousPageComp,
      _ref$nextPageComponen = _ref.nextPageComponent,
      NextPageComponent = _ref$nextPageComponen === void 0 ? function () {
    return '>';
  } : _ref$nextPageComponen,
      props = _objectWithoutProperties(_ref, ["currentPage", "numberOfPages", "goPage", "previousPageComponent", "nextPageComponent"]);

  var isLastPage = currentPage === numberOfPages - 1;
  var isFirstPage = currentPage === 0;

  var renderPageList = function renderPageList() {
    var lastPageIndex = numberOfPages - 1;
    var spanLength = 1;
    var endLength = 1;
    var skipLength = 1;
    var normalizeCount = endLength + skipLength + spanLength;

    var dots = function dots(key) {
      return (0, _core.jsx)(_Text.Bold, {
        key: key,
        fontSize: '11px'
      }, '…');
    };

    var renderPageNumber = function renderPageNumber(pageIndex) {
      return currentPage === pageIndex ? (0, _core.jsx)(_Text.Bold, {
        fontSize: '11px',
        key: pageIndex,
        style: {
          color: _Identity.COLOR.BLUE,
          margin: '0 8px'
        },
        "data-uie-name": "status-active-page"
      }, pageIndex + 1) : (0, _core.jsx)(_Text.Link, {
        key: pageIndex,
        style: {
          margin: '0 8px'
        },
        onClick: function onClick() {
          return goPage(pageIndex);
        },
        "data-uie-name": "go-page"
      }, pageIndex + 1);
    };

    var normalizedCurrent = Math.min(Math.max(currentPage, normalizeCount), lastPageIndex - normalizeCount);
    var beforeCount = normalizedCurrent - spanLength - endLength;
    var afterCount = lastPageIndex - endLength - normalizedCurrent - spanLength;
    var pages = Array.from(Array(numberOfPages), function (nothing, index) {
      return renderPageNumber(index);
    });

    if (afterCount > skipLength) {
      pages.splice(normalizedCurrent + spanLength + 1, afterCount, dots('dots-end'));
    }

    if (beforeCount > skipLength) {
      pages.splice(endLength, beforeCount, dots('dots-start'));
    }

    return pages;
  };

  return (0, _core.jsx)(_Layout.FlexBox, _extends({
    align: "flex-end",
    "data-uie-name": "element-pagination"
  }, props), (0, _core.jsx)("div", {
    style: {
      flexBasis: 100
    }
  }, !isFirstPage && (0, _core.jsx)(_Text.Link, {
    block: true,
    onClick: function onClick() {
      return goPage(currentPage - 1);
    },
    "data-uie-name": "go-previous-page"
  }, (0, _core.jsx)(PreviousPageComponent, null))), (0, _core.jsx)("div", {
    style: {
      alignItems: 'flex-end',
      display: 'flex',
      flexDirection: 'row',
      margin: '0 auto'
    },
    "data-uie-name": "list-pages"
  }, renderPageList()), (0, _core.jsx)("div", {
    style: {
      display: 'flex',
      flexBasis: 100,
      justifyContent: 'flex-end'
    }
  }, !isLastPage && (0, _core.jsx)(_Text.Link, {
    block: true,
    onClick: function onClick() {
      return goPage(currentPage + 1);
    },
    "data-uie-name": "go-next-page"
  }, (0, _core.jsx)(NextPageComponent, null))));
};

exports.Pagination = Pagination;
//# sourceMappingURL=Pagination.js.map