"use strict";

var _react = _interopRequireDefault(require("react"));

var _Layout = require("../Layout");

var _testUtil = require("../test/testUtil");

var _Heading = require("./Heading");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/*
 * Wire
 * Copyright (C) 2019 Wire Swiss GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
 *
 */
describe('"Heading"', function () {
  it('renders H1', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_Heading.Heading, null, "H1"));
  });
  it('renders H! (dark theme)', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_Heading.Heading, null, "H1"), _Layout.THEME_ID.DARK);
  });
  it('renders H1', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
      level: "1"
    }, "H1"));
  });
  it('renders H2', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
      level: "2"
    }, "H2"));
  });
  it('renders H3', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
      level: "3"
    }, "H3"));
  });
  it('renders H4', function () {
    return (0, _testUtil.matchComponent)( /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
      level: "4"
    }, "H4"));
  });
});
//# sourceMappingURL=Heading.test.js.map