"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LabelLink = exports.Label = void 0;

var _core = require("@emotion/core");

var _Link = require("./Link");

var _Text = require("./Text");

var _Identity = require("../Identity");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var labelStyle = function labelStyle(theme, _ref) {
  var markInvalid = _ref.markInvalid,
      _ref$bold = _ref.bold,
      bold = _ref$bold === void 0 ? false : _ref$bold,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? theme.general.color : _ref$color,
      _ref$fontSize = _ref.fontSize,
      fontSize = _ref$fontSize === void 0 ? '12px' : _ref$fontSize,
      props = _objectWithoutProperties(_ref, ["markInvalid", "bold", "color", "fontSize"]);

  return _objectSpread(_objectSpread({}, (0, _Text.textStyle)(theme, _objectSpread({
    bold: bold,
    color: color,
    fontSize: fontSize
  }, props))), {}, {
    '&:focus-within': {
      color: _Identity.COLOR.BLUE
    },
    color: markInvalid ? _Identity.COLOR.RED : 'initial',
    width: '100%'
  });
};

var Label = function Label(props) {
  return (0, _core.jsx)("label", _extends({
    css: function css(theme) {
      return labelStyle(theme, props);
    }
  }, (0, _Text.filterTextProps)(props)));
};

exports.Label = Label;

var labelLinkStyle = function labelLinkStyle(theme, _ref2) {
  var _ref2$fontSize = _ref2.fontSize,
      fontSize = _ref2$fontSize === void 0 ? '12px' : _ref2$fontSize,
      props = _objectWithoutProperties(_ref2, ["fontSize"]);

  return _objectSpread({}, (0, _Link.linkStyle)(theme, _objectSpread({
    fontSize: fontSize
  }, props)));
};

var LabelLink = function LabelLink(props) {
  return (0, _core.jsx)("a", _extends({
    css: function css(theme) {
      return labelLinkStyle(theme, props);
    }
  }, (0, _Text.filterTextProps)(props)));
};

exports.LabelLink = LabelLink;
//# sourceMappingURL=Label.js.map